MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022753Community[OCCT] OCCT:Foundation Classespublic2011-10-05 11:512012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022753: Fix mismatch new/delete in Standard_Failure.cxx
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_21949/. [^]
"string is created by new[] operator in allocate_message, and must then be deleted by delete[] and not delete in deallocate_message.Patch attached."
Leads to memory leak.
Steps To ReproduceNo need.
Additional information
and documentation updates
Patch is attached.
TagsNo tags attached.
Test case numberTest case is not required
Attached Filespatch file icon fix-mismatch-new-delete-Standard_Failure.patch (714 bytes) 2011-10-05 11:51

- Relationships

-  Notes
(0018598)
dbv (developer)
2011-11-22 11:08

Applied patch
branch http://svn/svn/occt/branches/OCC22753 [^] is ready to be reviewed
(0018599)
abv (manager)
2011-11-22 11:26

Reviewed with no comments
(0018616)
mkv (tester)
2011-11-24 12:27
edited on: 2011-11-25 15:16

Dear BugMaster,
Workbench KAS:dev:mkv-22753-occt was created from SVN branch http://svn/svn/occt/branches/OCC22753 [^]
(and mkv-22753-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22753-products regarding to KAS:dev:products-652-opt:

See results in /QADisk/occttests/results/KAS/dev/mkv-22753-products_22112011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0018631)
bugmaster (administrator)
2011-11-25 17:31

Integration into trunk of occt repository

Date: 2011-11-25 17:18:14 +0400 (Fri, 25 Nov 2011)
New Revision: 9549

Modified:
   trunk/src/Standard/Standard_Failure.cxx

- Related Changesets
occt: master d4cc0c5e
Timestamp: 2011-11-25 13:18:14
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022753: Fix mismatch new/delete in Standard_Failure.cxx
mod - src/Standard/Standard_Failure.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-10-05 11:51 szy New Issue
2011-10-05 11:51 szy Assigned To => abv
2011-10-05 11:51 szy File Added: fix-mismatch-new-delete-Standard_Failure.patch
2011-11-15 13:45 abv Assigned To abv => dbv
2011-11-15 13:45 abv Status new => assigned
2011-11-22 11:08 dbv Note Added: 0018598
2011-11-22 11:08 dbv Assigned To dbv => abv
2011-11-22 11:08 dbv Status assigned => resolved
2011-11-22 11:26 abv Note Added: 0018599
2011-11-22 11:26 abv Status resolved => reviewed
2011-11-24 12:27 mkv Note Added: 0018616
2011-11-24 12:28 mkv Test case number => Test case is not required
2011-11-24 12:28 mkv Status reviewed => tested
2011-11-25 15:16 szy Note Edited: 0018616 View Revisions
2011-11-25 17:31 bugmaster Note Added: 0018631
2011-11-25 17:31 bugmaster Status tested => verified
2011-11-25 17:31 bugmaster Resolution open => fixed
2011-11-25 17:31 bugmaster Assigned To abv => szy
2012-03-29 17:26 bugmaster Changeset attached => occt master d4cc0c5e


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker